import { Color } from "three";
import { PhysicalMaterialRecord } from "./PhysicalMaterialRecord";
declare const DefaultParam: Readonly<{
    color: string;
    baseColorluminance: number;
    baseColorLightColor: Color;
    baseColorDarkColor: Color;
    baseColorSaturability: number;
    transparent: boolean;
    opacity: number;
    opacityContrast: number;
    opacityBorder: number;
    opacityMaximum: number;
    opacityMinimum: number;
    matalness: number;
    bumpScale: number;
    roughness: number;
    specular: number;
    selfLuminous: number;
    fresnelPO: number;
    fresnelST: number;
    fresnelLuminance: number;
    fresnelLightColor: Color;
    fresnelDarkColor: Color;
    UVType: number;
    sharpen: number;
}>;
declare type MaterialParam = typeof DefaultParam;
export declare const DefaultParamMap: Readonly<{
    木纹: Readonly<{
        color: string;
        baseColorluminance: number;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: number;
        transparent: boolean;
        opacity: number;
        opacityContrast: number;
        opacityBorder: number;
        opacityMaximum: number;
        opacityMinimum: number;
        matalness: number;
        bumpScale: number;
        roughness: number;
        specular: number;
        selfLuminous: number;
        fresnelPO: number;
        fresnelST: number;
        fresnelLuminance: number;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: number;
        sharpen: number;
    }>;
    乳胶漆: Readonly<{
        color: string;
        baseColorluminance: number;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: number;
        transparent: boolean;
        opacity: number;
        opacityContrast: number;
        opacityBorder: number;
        opacityMaximum: number;
        opacityMinimum: number;
        matalness: number;
        bumpScale: number;
        roughness: number;
        specular: number;
        selfLuminous: number;
        fresnelPO: number;
        fresnelST: number;
        fresnelLuminance: number;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: number;
        sharpen: number;
    }>;
    烤漆: Readonly<{
        color: string;
        baseColorluminance: number;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: number;
        transparent: boolean;
        opacity: number;
        opacityContrast: number;
        opacityBorder: number;
        opacityMaximum: number;
        opacityMinimum: number;
        matalness: number;
        bumpScale: number;
        roughness: number;
        specular: number;
        selfLuminous: number;
        fresnelPO: number;
        fresnelST: number;
        fresnelLuminance: number;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: number;
        sharpen: number;
    }>;
    金属: Readonly<{
        color: string;
        baseColorluminance: number;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: number;
        transparent: boolean;
        opacity: number;
        opacityContrast: number;
        opacityBorder: number;
        opacityMaximum: number;
        opacityMinimum: number;
        matalness: number;
        bumpScale: number;
        roughness: number;
        specular: number;
        selfLuminous: number;
        fresnelPO: number;
        fresnelST: number;
        fresnelLuminance: number;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: number;
        sharpen: number;
    }>;
    亚光金属: Readonly<{
        color: string;
        baseColorluminance: number;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: number;
        transparent: boolean;
        opacity: number;
        opacityContrast: number;
        opacityBorder: number;
        opacityMaximum: number;
        opacityMinimum: number;
        matalness: number;
        bumpScale: number;
        roughness: number;
        specular: number;
        selfLuminous: number;
        fresnelPO: number;
        fresnelST: number;
        fresnelLuminance: number;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: number;
        sharpen: number;
    }>;
    自发光: Readonly<{
        color: string;
        baseColorluminance: number;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: number;
        transparent: boolean;
        opacity: number;
        opacityContrast: number;
        opacityBorder: number;
        opacityMaximum: number;
        opacityMinimum: number;
        matalness: number;
        bumpScale: number;
        roughness: number;
        specular: number;
        selfLuminous: number;
        fresnelPO: number;
        fresnelST: number;
        fresnelLuminance: number;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: number;
        sharpen: number;
    }>;
    大理石: Readonly<{
        color: string;
        baseColorluminance: number;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: number;
        transparent: boolean;
        opacity: number;
        opacityContrast: number;
        opacityBorder: number;
        opacityMaximum: number;
        opacityMinimum: number;
        matalness: number;
        bumpScale: number;
        roughness: number;
        specular: number;
        selfLuminous: number;
        fresnelPO: number;
        fresnelST: number;
        fresnelLuminance: number;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: number;
        sharpen: number;
    }>;
    混凝土: Readonly<{
        color: string;
        baseColorluminance: number;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: number;
        transparent: boolean;
        opacity: number;
        opacityContrast: number;
        opacityBorder: number;
        opacityMaximum: number;
        opacityMinimum: number;
        matalness: number;
        bumpScale: number;
        roughness: number;
        specular: number;
        selfLuminous: number;
        fresnelPO: number;
        fresnelST: number;
        fresnelLuminance: number;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: number;
        sharpen: number;
    }>;
    粗糙石材: Readonly<{
        color: string;
        baseColorluminance: number;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: number;
        transparent: boolean;
        opacity: number;
        opacityContrast: number;
        opacityBorder: number;
        opacityMaximum: number;
        opacityMinimum: number;
        matalness: number;
        bumpScale: number;
        roughness: number;
        specular: number;
        selfLuminous: number;
        fresnelPO: number;
        fresnelST: number;
        fresnelLuminance: number;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: number;
        sharpen: number;
    }>;
    玻璃: Readonly<{
        color: string;
        baseColorluminance: number;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: number;
        transparent: boolean;
        opacity: number;
        opacityContrast: number;
        opacityBorder: number;
        opacityMaximum: number;
        opacityMinimum: number;
        matalness: number;
        bumpScale: number;
        roughness: number;
        specular: number;
        selfLuminous: number;
        fresnelPO: number;
        fresnelST: number;
        fresnelLuminance: number;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: number;
        sharpen: number;
    }>;
    皮革: Readonly<{
        color: string;
        baseColorluminance: number;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: number;
        transparent: boolean;
        opacity: number;
        opacityContrast: number;
        opacityBorder: number;
        opacityMaximum: number;
        opacityMinimum: number;
        matalness: number;
        bumpScale: number;
        roughness: number;
        specular: number;
        selfLuminous: number;
        fresnelPO: number;
        fresnelST: number;
        fresnelLuminance: number;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: number;
        sharpen: number;
    }>;
    布料: Readonly<{
        color: string;
        baseColorluminance: number;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: number;
        transparent: boolean;
        opacity: number;
        opacityContrast: number;
        opacityBorder: number;
        opacityMaximum: number;
        opacityMinimum: number;
        matalness: number;
        bumpScale: number;
        roughness: number;
        specular: number;
        selfLuminous: number;
        fresnelPO: number;
        fresnelST: number;
        fresnelLuminance: number;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: number;
        sharpen: number;
    }>;
    竹藤编织: Readonly<{
        color: string;
        baseColorluminance: number;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: number;
        transparent: boolean;
        opacity: number;
        opacityContrast: number;
        opacityBorder: number;
        opacityMaximum: number;
        opacityMinimum: number;
        matalness: number;
        bumpScale: number;
        roughness: number;
        specular: number;
        selfLuminous: number;
        fresnelPO: number;
        fresnelST: number;
        fresnelLuminance: number;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: number;
        sharpen: number;
    }>;
}>;
export declare type MaterialType = keyof (typeof DefaultParamMap);
export declare function SetMaterialParams(mtl: PhysicalMaterialRecord, param: MaterialParam): void;
export {};
//# sourceMappingURL=IMaterialDefaultParam.d.ts.map