import Flatbush from 'flatbush';
import { Vector3 } from 'three';
import { RoomWallBase } from "../../Entity/Wall/RoomWallBase";
import { GetCurveParam } from "../GetCurveParam";
export declare class RoomWallPlaceIHoleHelper {
    _Walls: RoomWallBase[];
    protected _ParamGets: GetCurveParam[];
    protected _ParamRanges: ([number, number][])[];
    protected _Fb: Flatbush;
    constructor(_Walls: RoomWallBase[]);
    FindBestPlace(p: Vector3): {
        wall: RoomWallBase;
        range: [number, number];
        cpParam: number;
        getParam: GetCurveParam;
    };
    private GenFb;
    ParseWallCanPlaceHoleRange(): void;
}
export declare function FindBestRange(param: number, ranges: [number, number][], fuzz?: number): [number, number];
export declare function ParseWallRange(wall: RoomWallBase, getParam?: import("../GetCurveParam").GetLineParam | import("../GetCurveParam").GetArcParam): [number, number][];
//# sourceMappingURL=RoomWallPlaceIHoleHelper.d.ts.map