export declare class WebRtcPlayer {
    cfg: any;
    pcClient: any;
    dcClient: any;
    tnClient: any;
    sdpConstraints: {
        offerToReceiveAudio: number;
        offerToReceiveVideo: number;
    };
    dataChannelOptions: {
        ordered: boolean;
    };
    onVideoInitialised: any;
    video: HTMLVideoElement;
    onDataChannelConnected: any;
    onDataChannelMessage: any;
    onWebRtcOffer: any;
    aggregatedStats: any;
    onAggregatedStats: any;
    handleCandidateFromServer: (iceCandidate: any) => void;
    onWebRtcCandidate: (candidate: any) => void;
    createOffer: () => void;
    receiveAnswer: (answer: any) => void;
    close: () => void;
    aggregateStatsIntervalId: any;
    send: (data: any) => void;
    getStats: (onStats: any) => void;
    aggregateStats: (checkInterval: any) => void;
    constructor(parOptions?: {
        peerConnectionOptions?: {
            iceServers?: string[];
        };
    });
}
//# sourceMappingURL=WebRtcPlayer.d.ts.map